#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
badhost.gov [<nil>]: flags=[NET]
badhost.gov [192.168.244.244]: flags=
badhost.gov [192.168.244.244]: flags=[FOR]
badhost.gov [<nil>]: flags=[MMX]
EOF
cd ..; ./slowmilter -Cslow.conf \
	-Dconnect -X"badhost.gov, 192.168.244.244" \
	> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "\t"$0:"\t"OK
	rm $TEMPPAT $TEMPOUT
	exit 0
fi
echo "\t"$0:"\t"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
exit 1
